%define name    libebml
%define major 4
%define libname %mklibname ebml %{major}
%define develname %mklibname ebml -d

Summary:        Extensible Binary Meta Language Library
Name:           %name
Version:        1.3.6
Release: 		%mkrel 1
License:        LGPLv2+
Group:			System/Libraries
URL:            http://www.matroska.org/
Source0:        http://dl.matroska.org/downloads/libebml/%name-%version.tar.xz
Patch0:		    libebml-1.3.6-fix-missing-header.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

%package -n %{libname}
Summary:        Extensible Binary Meta Language shared Library
Group: System/Libraries
Obsoletes: %{_lib}ebml2
Obsoletes: %{_lib}ebml3

%description -n %{libname}
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

%package -n %{develname}
Group: Development/Libraries
Summary: Extensible Binary Meta Language Library headers and static library
Provides: libebml-devel = %version
Requires: %{libname} = %version
Obsoletes: %{libname}-devel
Obsoletes: libebml0-devel

%description -n %{develname}
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

This package contains the C++ headers and the static library needed
for development with EBML.

%prep
%setup -q
%apply_patches

# fix end of line encoding
sed -i 's/\r//' LICENSE.LGPL

# fix encoding
iconv -f ISO8859-1 -t UTF-8 ChangeLog -o ChangeLog-utf8
touch -r ChangeLog ChangeLog-utf8
mv -f ChangeLog-utf8 ChangeLog

%build
%cmake
%make_build

%install
rm -rf %buildroot
%make_install -C build

# fix lib permissions so that it gets properly stripped and -debug isn't empty
chmod a+x %{buildroot}%{_libdir}/*.so*

# don't ship .a or .la
rm -f %buildroot%_libdir/lib*a

%clean
rm -rf %buildroot

%files -n %{libname}
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/ebml
%{_libdir}/libebml.so
%_libdir/pkgconfig/libebml.pc
%{_libdir}/cmake/ebml

%changelog
* Wed Jan 09 2019 adrianomorselli <adrianomorselli> 1.3.6-1uplos2019
- update
